{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.bucketable_entity": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "on_bucket": "q.has_any_family('silverlabs_nat:bucketable_entity') && query.property('silverlabs_nat:on_bucket')"
            }
          ]
        },

        "on_bucket": {
          "on_entry": [
            "/scriptevent silverlabs_nat:bucketable_entity_interaction @initiator"
          ]
        }
      }
    }
  }
}
